# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl


%define name    dvdauthorwizard
%define version 1.4.1
%define release 1.2007mcnl
%define summary KDE DVD Author Wizard
%define section Multimedia/Video
%define title   %{name}

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor: 	Mandrivaclub.nl
URL: 		http://dvdauthorwizard.sourceforge.net
License:        GPL
Group:          Video

BuildArch:  	noarch

Source0:        DVDAuthorWizard-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:  	kdewebdev-kommander mplayer sox bc transcode ImageMagick mjpegtools dvdauthor

%description
This wizard will allow you to create a DVD from one or more DVD compatible 
MPEG-2 files. It is designed to be very easy to use. All you need to do is
add one or multiple files to the playlist and answer the questions that follow.

You can add a menu that will contain animated thumbnails of the files in the 
playlist. Creating a menu is optional.


%prep
rm -rf %{buildroot}
%setup -q -n DVDAuthorWizard-%{version}

%build 

%install

install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/dvdauthorwizard
#!/bin/sh
exec kmdr-executor %{_datadir}/apps/%{name}/bin/DVDAuthorWizard.kmdr
exit 0
EOF

#icons
%define  nameicon share/apps/dvdauthorwizard/Pictures/dvdlogo2.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/apps/%{name}/bin
mkdir -p %{buildroot}/%{_datadir}/apps/%{name}/share/apps/%{name}/Pictures
%__mv share/apps/%{name}/Pictures/* %{buildroot}/%{_datadir}/apps/%{name}/share/apps/%{name}/Pictures
%__mv bin/* %{buildroot}/%{_datadir}/apps/%{name}/bin


# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="dvdauthorwizard" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="DVDAuthorWizard" \
longtitle="%summary"
EOF

#New Menu 2007
mkdir -p %buildroot%{_datadir}/applications/kde
cat > %buildroot%{_datadir}/applications/kde/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=DVDAuthorWizard
Comment=%{summary}
Exec=dvdauthorwizard
Icon=%name.png
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;X-MandrivaLinux-Multimedia-Video
EOF

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README Changelog Creating\ Chapters.txt
%attr(755,root,root)%{_bindir}/dvdauthorwizard
%attr(755,root,root) %{_datadir}/apps/%{name}/bin
%attr(755,root,root) %{_datadir}/apps/%{name}/share/apps/%{name}/Pictures
%attr(644,root,root) %{_datadir}/apps/%{name}/share/apps/%{name}/Pictures/*
%{_datadir}/applications/kde/%{name}.desktop
%{_menudir}/%{name}


%{_iconsdir}/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png


%changelog 
*Sun Nov 19 2006 Marco Meijer <marco@mandrivaclub.nl> 1.4.1-1.2007mcnl
new version
2007 rebuild

*Thu Dec 15 2005 Marco Meijer <marco@mandrivaclub.nl> 1.03-1.2006mcnl
first mandrivaclub.nl version



